Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
SecondaryDatabaseConfig..::.Primary Property
SecondaryDatabaseConfig Class See Also

All updates to Primary will be automatically reflected in the secondary and all reads from the secondary will return corresponding data from Primary.

Namespace: BerkeleyDB
Assembly: libdb_dotnet48 (in libdb_dotnet48.dll) Version: 4.8.24.0

# Syntax

C#
    public Database Primary { get; set; }

Visual Basic (Declaration)
    Public Property Primary As Database

Visual C++
    public:
    property Database^ Primary {
    	Database^ get ();
    	void set (Database^ value);
    }

# Remarks

Note that as primary keys must be unique for secondary indices to work, Primary must have been configured with NONE.

# See Also

SecondaryDatabaseConfig Class
BerkeleyDB Namespace